GZIPInputStream
Date: 2015-09-12

com.jcraft.jzlib

## Class GZIPInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - com.jcraft.jzlib.InflaterInputStream
      - - com.jcraft.jzlib.GZIPInputStream

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class GZIPInputStream
      extends InflaterInputStream

- - ### Field Summary

    - ### Fields inherited from class com.jcraft.jzlib.InflaterInputStream

      `buf, DEFAULT_BUFSIZE, inflater, myinflater`

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GZIPInputStream(java.io.InputStream in)`
    `GZIPInputStream(java.io.InputStream in, Inflater inflater, int size, boolean close_in)`
    `GZIPInputStream(java.io.InputStream in, int size, boolean close_in)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `long` | `getCRC()`
    `long` | `getModifiedtime()`
    `java.lang.String` | `getName()`
    `int` | `getOS()`
    `void` | `readHeader()`

    - ### Methods inherited from class com.jcraft.jzlib.InflaterInputStream

      `available, close, fill, getAvailIn, getInflater, getTotalIn, getTotalOut, mark, markSupported, read, read, reset, skip`

    - ### Methods inherited from class java.io.FilterInputStream

      `read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GZIPInputStream

          public GZIPInputStream(java.io.InputStream in)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### GZIPInputStream

          public GZIPInputStream(java.io.InputStream in,
                         int size,
                         boolean close_in)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### GZIPInputStream

          public GZIPInputStream(java.io.InputStream in,
                         Inflater inflater,
                         int size,
                         boolean close_in)
                          throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getModifiedtime

          public long getModifiedtime()

    - #### getOS

          public int getOS()

    - #### getName

          public java.lang.String getName()

    - #### getComment

          public java.lang.String getComment()

    - #### getCRC

          public long getCRC()
                      throws GZIPException

      Throws:
        `GZIPException`

    - #### readHeader

          public void readHeader()
                          throws java.io.IOException

      Overrides:
        `readHeader` in class `InflaterInputStream`
      Throws:
        `java.io.IOException`